## org.mortbay.util.ajax
Interface JSON.Output

Enclosing class:
  JSON

    public static interface JSON.Output

JSON Output class for use by `JSON.Convertible`.

Method Summary
`void` `add(java.lang.Object obj)`
`void` `add(java.lang.String name, boolean value)`
`void` `add(java.lang.String name, double value)`
`void` `add(java.lang.String name, long value)`
`void` `add(java.lang.String name, java.lang.Object value)`
`void` `addClass(java.lang.Class c)`

Method Detail

### addClass

    void addClass(java.lang.Class c)

### add

    void add(java.lang.Object obj)

### add

    void add(java.lang.String name,
             java.lang.Object value)

### add

    void add(java.lang.String name,
             double value)

### add

    void add(java.lang.String name,
             long value)

### add

    void add(java.lang.String name,
             boolean value)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.